function jacobian_indexAll = makeJacobianIndex

jacobian_indexAll = cell(1,1);

x = ones(10,1);

%% Prepare flux 

fluxSubs = zeros(2);

fluxSubs(1,1) =-x(1);      % Central to Elimination
fluxSubs(1,2) = x(3);      % Intes to Central


fluxInhi = zeros(1);

fluxSubs(1,1) =-x(6);      % Central to Elimination


%% Combine flux

z = zeros(2);

flux = [...
    fluxSubs, z;...
    z, fluxSubs;...
    ];

flux = [...
    flux,    zeros(4,1);...
    zeros(1,4),fluxInhi;...
    ];



% Put -(sum(outflow)) at flux(k,k) to keep mass balance
fluxDiag=sum(flux - diag(diag(flux)),1);
flux = flux - diag(fluxDiag);

jacobian_index = flux ./ flux;
jacobian_index(isnan(jacobian_index)) = 0;

jacobian_indexAll{1} = sparse(jacobian_index);

end

