function jacobian_indexAll = makeJacobianIndex

jacobian_indexAll = cell(1,1);

x = ones(4,1);

%% Prepare flux 
flux = zeros(2);

flux(1,1) =-x(2);      % Rapid to Elimination
flux(2,1) = x(3);      % Rapid to Peripheral
flux(1,2) = x(4);     % Peripheral to Rapid



% Put -(sum(outflow)) at flux(k,k) to keep mass balance
fluxDiag=sum(flux - diag(diag(flux)),1);
flux = flux - diag(fluxDiag);

jacobian_index = flux ./ flux;
jacobian_index(isnan(jacobian_index)) = 0;

jacobian_indexAll{1} = sparse(jacobian_index);

end

