function [fm,fm_eachMet_o] = calculateFm_diffFmDef(xin)

%Change CLint,total and ratios into each CLint
for k = 1:size(xin,1)
    
    clMet = xin(k,31) * [xin(k,28:30),1] / sum([xin(k,28:30),1]);
    
    x2( 1: 4) = clMet(1) * [xin(k,16:4:24),1-sum(xin(k,16:4:24))];
    x2( 5: 8) = clMet(2) * [xin(k,17:4:25),1-sum(xin(k,17:4:25))];
    x2( 9:12) = clMet(3) * [xin(k,18:4:26),1-sum(xin(k,18:4:26))];
    x2(13:16) = clMet(4) * [xin(k,19:4:27),1] / sum([xin(k,19:4:27),1]);
    
    xin(k,16:31) = x2;

end


cltot = sum(xin(:,16:31),2);

% Enzyme 1-3
fm(:,1) = sum(xin(:,16:4:28),2)./cltot;
fm(:,2) = sum(xin(:,17:4:29),2)./cltot;
fm(:,3) = sum(xin(:,18:4:30),2)./cltot;
fm(:,4) = sum(xin(:,19:4:31),2)./cltot;

% Metabolite 1-4
fm(:,5) = sum(xin(:,16:19),  2)./cltot;
fm(:,6) = sum(xin(:,20:23),  2)./cltot;
fm(:,7) = sum(xin(:,24:27),  2)./cltot;
fm(:,8) = sum(xin(:,28:31),  2)./cltot;


fm_eachMet = [];

for kMet = 1:4
    xin_eachMet   = xin(:,(16+(kMet-1)*4):(19+(kMet-1)*4));
    cltot_eachMet = sum(xin_eachMet,2);
    
    fm_eachMet = [fm_eachMet, xin_eachMet./repmat(cltot_eachMet,1,4)]; %#ok<AGROW>
end

if nargout == 2
   fm_eachMet_o = fm_eachMet; 
end

end

