function ss = parDistCmp_rep
% group 0: OC, 1: BDC
%

sampNum = 3;
%dispRep = 4;

[Xi,Xo,Xs_OC, Xs_disp_OC, ss]  = importOC(sampNum); %#ok<ASGLU>
[Xi,Xo,Xs_BDC,Xs_disp_BDC,ss] = importBDC(sampNum); %#ok<ASGLU>


parDistCmp(log(Xs_disp_OC), log(Xs_disp_BDC(1:55,:,:)),Xi(1:55,:,1), 0,1,3, [-5,5])
%{
parDistCmp(...
    log(Xs_OC(:,1:sampNum,dispRep)),...
    log(Xs_BDC(1:55,1:sampNum,dispRep)),...
    Xi(1:55,:,1), 0,1,3, [-8,8])
%}

%{
parDistCmp_Xiter(Xo,[-7,7],Xi,1:5, 1)
parDistCmp_Xiter(Xo,[-7,7],Xi,6:10,2)
%}


end


function [Xi,Xo,Xs,Xs_disp,ss] = importOC(sampNum)

currDir = cd;
cd('/Users/rokuninme/Dropbox/0-inv_prob_yoshi/results/201305/irinotecan_transit_OCP_130503')
%cd('C:\Users\Yoshida\Dropbox\0-inv_prob_yoshi\results\201305\irinotecan_transit_OCP_130503')


load('20130507-2308-5/1/X.mat')
load('20130507-2308-5/1/FinalXsorted.mat')
load('20130507-2308-5/1/sumlogdiffSorted.mat')

Xi(:,:,1) = X(:,:,1); %#ok<NODEF>
Xo(:,:,1) = X(:,:,end);
Xs(:,:,1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))'; %#ok<NODEF>
ss(:,1) = sumlogdiffSorted;


load('20130510-1156-1/1/X.mat')
load('20130510-1156-1/1/FinalXsorted.mat')
load('20130510-1156-1/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;

load('20130510-1156-2/1/X.mat')
load('20130510-1156-2/1/FinalXsorted.mat')
load('20130510-1156-2/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;

load('20130510-1156-3/1/X.mat')
load('20130510-1156-3/1/FinalXsorted.mat')
load('20130510-1156-3/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;

load('20130510-1156-4/1/X.mat')
load('20130510-1156-4/1/FinalXsorted.mat')
load('20130510-1156-4/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;

load('20130510-1156-5/1/X.mat')
load('20130510-1156-5/1/FinalXsorted.mat')
load('20130510-1156-5/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;

load('20130510-1156-6/1/X.mat')
load('20130510-1156-6/1/FinalXsorted.mat')
load('20130510-1156-6/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;

load('20130510-1156-7/1/X.mat')
load('20130510-1156-7/1/FinalXsorted.mat')
load('20130510-1156-7/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;

load('20130510-1156-8/1/X.mat')
load('20130510-1156-8/1/FinalXsorted.mat')
load('20130510-1156-8/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;

load('20130510-1156-9/1/X.mat')
load('20130510-1156-9/1/FinalXsorted.mat')
load('20130510-1156-9/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;


Xs_disp = [];
for k = 1:10
    Xs_disp = [Xs_disp,Xs(:,1:sampNum,k)]; %#ok<AGROW>
end

cd(currDir);

end


function [Xi,Xo,Xs,Xs_disp,ss] = importBDC(sampNum)

currDir = cd;
cd('/Users/rokuninme/Dropbox/0-inv_prob_yoshi/results/201305/irinotecan_transit_BDT_130503')
%cd('C:\Users\Yoshida\Dropbox\0-inv_prob_yoshi\results\201305\irinotecan_transit_BDT_130503')


load('20130507-2112-5/1/X.mat')
load('20130507-2112-5/1/FinalXsorted.mat')
load('20130507-2112-5/1/sumlogdiffSorted.mat')

Xi(:,:,1) = X(:,:,1); %#ok<NODEF>
Xo(:,:,1) = X(:,:,end);
Xs(:,:,1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))'; %#ok<NODEF>
ss(:,1) = sumlogdiffSorted;


load('20130510-1158-1/1/X.mat')
load('20130510-1158-1/1/FinalXsorted.mat')
load('20130510-1158-1/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;

load('20130510-1158-2/1/X.mat')
load('20130510-1158-2/1/FinalXsorted.mat')
load('20130510-1158-2/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;

load('20130510-1158-3/1/X.mat')
load('20130510-1158-3/1/FinalXsorted.mat')
load('20130510-1158-3/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;

load('20130510-1158-4/1/X.mat')
load('20130510-1158-4/1/FinalXsorted.mat')
load('20130510-1158-4/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;

load('20130510-1158-5/1/X.mat')
load('20130510-1158-5/1/FinalXsorted.mat')
load('20130510-1158-5/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;

load('20130510-1158-6/1/X.mat')
load('20130510-1158-6/1/FinalXsorted.mat')
load('20130510-1158-6/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;

load('20130510-1158-7/1/X.mat')
load('20130510-1158-7/1/FinalXsorted.mat')
load('20130510-1158-7/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;

load('20130510-1158-8/1/X.mat')
load('20130510-1158-8/1/FinalXsorted.mat')
load('20130510-1158-8/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;

load('20130510-1158-9/1/X.mat')
load('20130510-1158-9/1/FinalXsorted.mat')
load('20130510-1158-9/1/sumlogdiffSorted.mat')
Xi(:,:,end+1) = X(:,:,1);
Xo(:,:,end+1) = X(:,:,end);
Xs(:,:,end+1) = FinalXsorted(:,FinalXsorted(1,:,1)~=FinalXsorted(2,:,1))';
ss(:,end+1) = sumlogdiffSorted;


Xs_disp = [];
for k = 1:10
    Xs_disp = [Xs_disp,Xs(:,1:sampNum,k)]; %#ok<AGROW>
end

cd(currDir);

end