function Numbers = laplaceConvert(x_in, Numbers, Equations)

x = sym('x',[1 Numbers.input]); 
syms s

for k = 1:size(Equations,1)
  eval(Equations{k});
end

XExpanded = collect(expand(X),s); %#ok<NODEF>

[n,d] = numden(XExpanded);

numerator = subs(n,x,x_in);
denominator = subs(d,x,x_in);

[C1 T1] = coeffs(collect(expand(numerator),s),s);
[C2 T2] = coeffs(collect(expand(denominator),s),s);
s=2; %#ok<NASGU>
[~,numeratorIndex]=sort(eval(T1),'descend');
[~,denominatorIndex]=sort(eval(T2),'descend');
Numbers.numerator = eval(C1(numeratorIndex));
Numbers.denominator = eval(C2(denominatorIndex));

Numbers.orderNumerator=size(Numbers.numerator,2)-1; %M
Numbers.orderDenominator=size(Numbers.denominator,2)-1; %N

end