function  [t u] = solveFILT(x_in, Numbers, ForODE, conditionNumber)
%SOLVEFILT この関数の概要をここに記述
%   詳細説明をここに記述

%input
stopCalc = 0;

Numbers.calcComp = 1;
x = sym('x',[1 Numbers.input]);
syms s
%Numbers = laplaceConvert(x_in, Numbers, ForODE.FILTAll{conditionNumber})
f = sym('f',[1 size(ForODE.FILTAll{conditionNumber},1)]);
for k2 = 1:size(ForODE.FILTAll{conditionNumber},1)
  f(k2) = eval(ForODE.FILTAll{conditionNumber}{k2});
  f(k2) = subs(f(k2),x,x_in);
  %a = subs(f(k2),s,x(1))
  %if k2 ==6,horner(a),end
end
X = f(end);

XExpanded =collect(X,s);
%XExpanded = collect(expand(X),s)
[numerator,denominator] = numden(XExpanded);

[Cn Tn] = coeffs(collect(numerator,s),s);
[Cd Td] = coeffs(collect(denominator,s),s);
Tn2 = log2(subs(Tn,s,2));
Td2 = log2(subs(Td,s,2));

%Check whether coefficients reached Inf or NaN
if (sum(subs(Cn,s,2)==Inf)+sum(subs(Cd,s,2)==Inf)>0 || ...
    sum(isnan(subs(Cn,s,2)))+sum(isnan(subs(Cd,s,2)))>0)
  numerator %#ok<NOPRT>
  denominator %#ok<NOPRT>
  x_in %#ok<NOPRT>
  stopCalc = 1; t=-1;u=0;
  'numerator/denominator reached Inf/NaN' %#ok<NOPRT>
end

if stopCalc ==0
  numerator2(Tn2+1) = Cn;
  Numbers.numerator   = fliplr(numerator2);
  denominator2(Td2+1) = Cd;
  Numbers.denominator = fliplr(denominator2);
  %if numel(Numbers.numerator)* numel(Numbers.numerator)
  %Change sym into double
  N = sym2str(Numbers.numerator);
  D = sym2str(Numbers.denominator);
  if strcmp(N,'empty string') 
    stopCalc =1;t=-5;u=0;
  elseif  strcmp(D,'empty string')
    stopCalc =1;t=-5;u=0;
  else
    if iscell(N) ==1, N = N{1}; end
    if iscell(D) ==1, D = D{1}; end
    if size(strfind(N,'s'),2)+size(strfind(D,'s'),2) > 0
      conditionNumber
      Cn
      Cd
      N
      D
    end
  end
end
if stopCalc ==0
  numNumDen = eval([Numbers.numerator Numbers.denominator]);
  numNumDen(numNumDen==0)=[];
  minCoeffs = min(numNumDen);
  Numbers.numerator = eval(Numbers.numerator/minCoeffs);
  Numbers.denominator =eval(Numbers.denominator/minCoeffs);
  
  Numbers.orderNumerator=size(Numbers.numerator,2)-1; %M
  Numbers.orderDenominator=size(Numbers.denominator,2)-1; %N
  
  if Numbers.orderNumerator>Numbers.orderDenominator
    [Numbers.orderNumerator Numbers.orderDenominator] %#ok<NOPRT>
    Numbers.numerator
    Numbers.denominator
    x_in %#ok<NOPRT>
    stopCalc = 2; t=-2;u=0;
    'Numbers.orderNumerator > Numbers.orderDenominator' %#ok<NOPRT>
  end
  
  if stopCalc ==0
    Numbers.numerator = repmat([Numbers.numerator; zeros(size(Numbers.numerator))],Numbers.timeNum,1);
    Numbers.denominator = repmat([Numbers.denominator; zeros(size(Numbers.denominator))],Numbers.timeNum,1);
    
    resultMatrix = zeros(Numbers.timeNum,1 + Numbers.calcComp);
    
    %constants
    [Numbers.eulerCoefficients Numbers.cp] = eulerCoefficientsCalc(Numbers.EulerSum); %AP
    
    [resultMatrix(:,2) calcResultErr] = calcFILT(Numbers); %#ok<NASGU>
    resultMatrix(:,1) = Numbers.timePoints2';
    
    t = [0;resultMatrix(:,1)];
    u = [0;resultMatrix(:,2)];
    
    %plot(resultMatrix(:,1),resultMatrix(:,2))
  end
end

if stopCalc ==1
  t
end
end

%%
function [calcResult calcResultErr] = calcFILT(Numbers)

FILT_sgn=1;

currentCalc =zeros(1,Numbers.timeNum); %D
currentErr = zeros(1,Numbers.timeNum);

for k = 1:Numbers.truncErr %line190 
  imaginaryFs = calcImaginaryFs(Numbers);
  currentCalc = currentCalc + imaginaryFs * FILT_sgn;
  Numbers.FILT_Matrix = Numbers.FILT_Matrix + Numbers.FILT_iiMatrix;
  FILT_sgn = -FILT_sgn;
end

currentCalc = currentCalc * Numbers.eulerCoefficients(1);

for k = 1:Numbers.EulerSum
  imaginaryFs = calcImaginaryFs(Numbers);
  currentCalc = currentCalc + Numbers.eulerCoefficients(k+1)*imaginaryFs*FILT_sgn;
  currentErr = currentErr+ Numbers.cp(k) * imaginaryFs*FILT_sgn;
  Numbers.FILT_Matrix = Numbers.FILT_Matrix + Numbers.FILT_iiMatrix;
  FILT_sgn = -FILT_sgn;
end

imaginaryFs = calcImaginaryFs(Numbers);
currentErr = currentErr + imaginaryFs*FILT_sgn;

calcResult = Numbers.FILT_ax .* currentCalc/Numbers.eulerCoefficients(1);
calcResultErr = Numbers.FILT_ax .* currentErr/Numbers.eulerCoefficients(1);

end

%%
function [imaginaryFs] = calcImaginaryFs(Numbers)

%convert F(R+iJ) into (bu+i*bu)/(bx + i*by)
ndCalc = zeros(Numbers.timeNum*2,2);%[0;0];

for k1=1:Numbers.orderNumerator+1 %line1070
  ndCalc = ...
    Numbers.FILT_Matrix * ndCalc;
  ndCalc(:,1) = ndCalc(:,1) + Numbers.numerator(:,k1);
  ndCalc(:,2) = ndCalc(:,2) + Numbers.denominator(:,k1);
end

for k1=Numbers.orderNumerator+2:Numbers.orderDenominator+1
  ndCalc(:,2) = ...
    Numbers.FILT_Matrix * ndCalc(:,2);
  ndCalc(:,2) = ndCalc(:,2) + Numbers.denominator(:,k1);
end

imaginaryFs = zeros(1,Numbers.timeNum);
for k1 = 1:Numbers.timeNum
  ndCalc2 = ndCalc(k1*2-1:k1*2,:);
  imaginaryFs(k1) =  det(ndCalc2)/(ndCalc2(:,2)'*ndCalc2(:,2));
end

end

%%
function [eulerCoefficients cp] = eulerCoefficientsCalc(numEulerSum)

cp = ones(1,numEulerSum+1);
eulerCoefficients = zeros(1,numEulerSum+2);

for k = 1:numEulerSum
  cp(k+1) = cp(k)*(numEulerSum+1-k)/k;
end

for k = numEulerSum+1:-1:1
  eulerCoefficients(k) = eulerCoefficients(k+1)+cp(k);
end

eulerCoefficients(end) = [];

end