function InitialXY = initialDistribution_beta(InitialXY, Numbers, Setting)

%minimum_value(:,1:Numbers.xfree)=InitialXY.xfree_import(1,:);
%maximum_value(:,1:Numbers.xfree)=InitialXY.xfree_import(2,:);

%interval=maximum_value-minimum_value;

D = 15;

alpha         = Setting.alpha;
interval      = Setting.interval;
minimum_value = Setting.xmin;

rand('twister', sum(100*clock));
%rng('default')


%% Beta distribution parameters
% beta shape parameters: [alpha,beta] 

% Note that alpha=beta=1 is the uniform distribution
% alpha=1;
% beta=1;
% rand_val = random('beta',alpha,beta,Numbers.xfree,Numbers.samp);

% adaptive alpha beta values.
rand_val =zeros(Numbers.xfree,Numbers.samp);


for k=1:Numbers.xfree
    rand_val(k,:) =random('beta',alpha(k),D-alpha(k),1,Numbers.samp);
end


%% Prepare parameters

InitialXY.xfree_distribution = zeros(Numbers.xfree,Numbers.samp);
for k=1:Numbers.xfree
	InitialXY.xfree_distribution(k,:) = minimum_value(k)+(interval(k)*rand_val(k,:)); %equal distribution
end

end