function maindist1(X1,X1_2,X2,X2_2,X3,X3_2)

%{
load('/Users/rokuninme/Dropbox/0-inv-t2/results_testDeltaS/120806_autoSelectODEsolver/PitCsA_120730/20120807-2340-t2/1/X1_2.mat')
load('/Users/rokuninme/Dropbox/0-inv-t2/results_testDeltaS/120806_autoSelectODEsolver/PitCsA_120730/20120807-2340-t2/1/X1.mat')
load('/Users/rokuninme/Dropbox/0-inv-t2/results_testDeltaS/120806_autoSelectODEsolver/PitCsA_120730/20120807-2340-t2/1/X2_2.mat')
load('/Users/rokuninme/Dropbox/0-inv-t2/results_testDeltaS/120806_autoSelectODEsolver/PitCsA_120730/20120807-2340-t2/1/X2.mat')
load('/Users/rokuninme/Dropbox/0-inv-t2/results_testDeltaS/120806_autoSelectODEsolver/PitCsA_120730/20120807-2340-t2/1/X3_2.mat')
load('/Users/rokuninme/Dropbox/0-inv-t2/results_testDeltaS/120806_autoSelectODEsolver/PitCsA_120730/20120807-2340-t2/1/X3.mat')
%}

set(gcf, 'Renderer', 'zbuffer')
Xplot{1}   = X1; Xplot{4} = X1_2; 
Xplot{2}   = X2; Xplot{5} = X2_2; 
Xplot{3}   = X3; Xplot{6} = X3_2;
freeNum = size(X1,1);

%% figure 1
figure(1)

for k = 1:6
  subplot(2,3,k);
  plot(1:17,Xplot{k},'b-','linewidth',1)
  ylimCur = ylim;
  if k ==1
    ylimRange = ylim;
  else
    ylimRange(1)=min(ylimCur(1),ylimRange(1));
    ylimRange(2)=max(ylimCur(2),ylimRange(2));
  end
  xlim([0 freeNum+1])
end
for k = 1:6, subplot(2,3,k); ylim(ylimRange); end


%% figure 2

figure(2)

logXfreeMean = mean(Xplot{1},2)';
logXfreeRange = max(Xplot{1},[],2) - min(Xplot{1},[],2);
logXfreeRange = diag(1./logXfreeRange);

for k = 1:6
  subplot(2,3,k);
  Xplot2{k} = (Xplot{k}'- ...
    repmat(logXfreeMean,size(Xplot{k},2),1))*logXfreeRange*2'; %#ok<AGROW>
  plot(1:17,Xplot2{k},'b-','linewidth',1)
  if k ==1
    ylimRange = ylim;
  else
    ylimRange(1)=min(ylimCur(1),ylimRange(1));
    ylimRange(2)=max(ylimCur(2),ylimRange(2));
  end
  xlim([0 freeNum+1])
end
for k = 1:6, subplot(2,3,k); ylim(ylimRange); end


end