function [tlag tlagforCalc tlagEraseIndex timePointsForCalc] = ...
    separateTimePointsGPU(odegpuset2)

x = (odegpuset2.x_in); %#ok<NASGU>

% Obtain tlag values
tlag=zeros(1,odegpuset2.tlag);
for k1=1:odegpuset2.tlag
    odegpuset2.tlagindex
    odegpuset2.condNum
    odegpuset2.tlag
    odegpuset2.tlagindex(k1)
    odegpuset2.tlag{odegpuset2.condNum}(odegpuset2.tlagindex(k1))
    char(odegpuset2.tlag{odegpuset2.condNum}(odegpuset2.tlagindex(k1)));
    tlag(k1) = ...
        eval(char(odegpuset2.tlag{odegpuset2.condNum}(odegpuset2.tlagindex(k1))));
end

% Sort and combine tlag values
tlagsorted = sort(tlag);
tlagforCalc = [tlagsorted(diff(tlagsorted)~=0) tlagsorted(end)];

% Erase tlag if tlag > t(end)
tlagforCalc(tlagforCalc>=max(odegpuset2.timePoints)) = [];

% Prepare time points and erase index for calculation
timePointsForCalc = cell(1,size(tlagforCalc,2)+1);
timePoints = odegpuset2.timePoints;
tlagEraseIndex = zeros(1,size(tlagforCalc,2)+1);

% Separate time points with tlag
for k1=1:size(tlagforCalc,2)
    timePointsForCalc{k1} = [timePoints(timePoints<tlagforCalc(k1)) tlagforCalc(k1)];
    timePoints = timePoints(timePoints>=tlagforCalc(k1));
end
timePointsForCalc{end} = timePoints;

% Subtract tlag values
for k1=1:size(tlagforCalc,2)
    timePointsForCalc{k1+1} = timePointsForCalc{k1+1}-tlagforCalc(k1);
    
    % Modify if time points do not contain tlag value at head
    if timePointsForCalc{k1+1}(1)~=0
        timePointsForCalc{k1+1} = [0 timePointsForCalc{k1+1}];
        tlagEraseIndex(k1+1) = 1;
    end
end

end