function jacobian_indexAll = makeJacobianIndex

jacobian_indexAll = cell(1,1);


x = ones(20,1);



flux = zeros(10);

flux(3,1) = x(1);       % Rapid to Liver
flux(1,3) = x(1)/x(15); % Liver to Rapid
flux(3,3) =-x(19)/x(15);% Liver to elimination
flux(4,1) = x(16);      % Rapid to Peripheral
flux(1,4) = x(17);      % Peripheral to Rapid
flux(5,1) = x(18);      % Rapid to Urine

flux(2,6) = x(13);      % Intes Transit to Intes
flux(3,2) = x(12);      % Intes to Liver
flux(2,2) =-x(12) * (1-x(14))/ x(14) ;% Intes to Feces


%% Put -(sum(outflow)) at flux(k,k) to keep mass balance

fluxDiag=sum(flux - diag(diag(flux)),1);
flux = flux - diag(fluxDiag);




jacobian_index = flux ./ flux;
jacobian_index(isnan(jacobian_index)) = 0;

jacobian_indexAll{1} = sparse(jacobian_index);

end


