function parameterCorr(X,selectParam,xindex)
%PARAMETERDISTRI Summary of this function goes here
%   Detail
%   parameterCorr(X(:,:,end)',1)


list = listfonts;
if sum(strcmp(list,'Myriad Pro'))
    fontUse = 'Myriad Pro';
else
    'Use Myriad Pro' %#ok<NOPRT>
    fontUse = get(0,'defaultAxesFontName');
end

%% Settings
titleFontSize  = 16;

Xfree = X(:,X(1,:)~=X(2,:));

switch nargin
    case 1
        selectParam = 0;
    case 3
        selectParam = 0;
        Xfree = Xfree(:,xindex);
end


%% Select parameters with high abs(R)
if selectParam
    R = corrcoef(Xfree);
    
    rindex = sum(abs(R)>0.8,1);
    Xfree  = Xfree(:,rindex>1);
    xindex = find(rindex>1);
else
    xindex = 1:size(Xfree,2);
end

%% Plot
figure(7);
[H,AX,BigAx,P]=plotmatrix(Xfree); %#ok<NASGU,ASGLU>



for k1 = 1:numel(xindex)
    set(gcf,'CurrentAxes',AX(1,k1));
    title(num2str(xindex(k1)),'FontSize',titleFontSize,'FontName',fontUse);
    
    for k2 = 1:numel(xindex)
        set(gcf,'CurrentAxes',AX(k2,k1));
        set(gca,'FontName',fontUse);
    end
end

set(gcf,'Position',[20,20,800,700]);
%hgexport(figure(7), 'parCorr.eps');

%csvwrite('parCorr_ind.txt', xindex);

end

