function [alpha,interval,xmin] = betadist(resultFolder)


%{
resultFolder = ...
    '/Users/rokuninme/Dropbox/0-inv_prob_yoshi/results/201401/1com_po/20140127-1951-/1';
   
[alpha,interval,xmin] = betadist(resultFolder)
%}

load([resultFolder,'/AXY.mat'])
load([resultFolder,'/finalXY/sumlogdiffIndexForX.mat'])


D=15;


Xbest = X(:,sumlogdiffIndexForX(1),end); %#ok<NODEF>

xmin=min((X(:,:,end)),[],2);
xmax=max((X(:,:,end)),[],2);

interval = xmax-xmin;
rho = (Xbest-xmin)./(interval);

alpha = (1 + rho*(D-2))';
alpha = [alpha D/2];


end