function AUCcalc = calc_AUC(tu)

%tu((tu(:,2)==0)&(tu(:,1)~=0),:) = [];

if size(tu,1) == 0
    AUCcalc = 0;
else
    tuplus  = tu; tuplus(1,:)=[];
    tuminus = tu; tuminus(end,:)=[];
    
    tuinterval = tuplus(:,1)-tuminus(:,1);
    uSum = tuplus + tuminus;
    uSum(:,1)=[];
    
    AUCcalc = tuinterval' * uSum / 2;
    
end

end