function kelcalc = calc_kel(tutend,extrapolateAUCinf)

%tutend((tutend(:,2)==0)&(tutend(:,1)~=0),:) = [];

t = tutend(:,1); u = tutend(:,2);
tinitindex = size(tutend,1)-extrapolateAUCinf+1;
kelcalc=zeros(2,1);

%If having enough data points and positive u values, calculate kel
%kel otherwise equals 0
if tinitindex > 0 && sum(u(tinitindex:end)<=0)==0
    kelcalc = [t(tinitindex:end),ones(extrapolateAUCinf,1)]...
        \log(u(tinitindex:end));
end
kelcalc = -kelcalc(1);


end