function Setting = setting(Setting)

%% Common settings

%Setting.Model='didb_inhibitor/fluconazole';
Setting.Model='1com_po';

Setting.iter=  10;
Setting.samp=  500;

Setting.isDivOverlap    = 0;  % 0:no overlap and just separate, 1:overlap
Setting.paramDivDirec   = 0;  % 0:ascending, 1;descending

Setting.isDivSampRand   = 0;
Setting.isDivSampDeltaS = 1;
Setting.deltaForS       = 0.5;

Setting.isSaveYdist     = 1; % >=1: save at the designated inverval
Setting.strictLowLim    = 1;



%% Settings for DIDB - Overwrite with mainList


Setting.onlyAUC       = 0;
Setting.saveFm        = 0;
Setting.noInhOtherPath= 0;
Setting.noMetabolite  = 0;
Setting.useTemp       = 0;

%Setting with pre-existing function
Setting.odeSolvers=  {@ode15s};

% Setting with newly impremented functions for ODE
% Select from @ode2_gpu, @ode4_gpu, @ode45_gpu(Not yet implemented)
Setting.odeSolversGPU = 'ode4_gpu';
Setting.dt = 0.01;

end